> For the complete documentation index, see [llms.txt](https://developers.citrusad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.citrusad.com/integration/reference/create-or-update-a-product.md).

# Create or update a product

{% hint style="info" %}
Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view [this page](https://help.citrusad.com/retail-media-interface/integration/integration/create-or-update-a-product) in the new Integration APIs space of our documentation.
{% endhint %}

## POST /catalog-products

> Create or update a product

```json
{"openapi":"3.1.0","info":{"title":"integration","version":"1"},"servers":[{"url":"https://integration-BASE-URL.citrusad.com/v1/"}],"security":[{"sec0":[]}],"components":{"securitySchemes":{"sec0":{"in":"header","name":"Authorization","type":"apiKey"}}},"paths":{"/catalog-products":{"post":{"deprecated":false,"description":"","operationId":"create-or-update-a-product","requestBody":{"content":{"application/json":{"schema":{"properties":{"catalogProducts":{"items":{"properties":{"catalogId":{"description":"The catalogId to synchronise the product within","type":"string"},"filters":{"default":[],"description":"The filters/attributes of the products. Directly related to the productFilters specified in ad generation. This may be be category, location, and brand information.","items":{"type":"string"},"type":"array"},"groups":{"default":[],"description":"Used for category minimum bids and cross-sell placements. Contact your technical account manager to integrate these features.","items":{"type":"string"},"type":"array"},"gtin":{"description":"The product code of the product. Does not need to be GTIN.","type":"string"},"inventory":{"description":"The number of the product in stock. If set to 0, product ads will not serve for the product.","format":"int32","type":"integer"},"price":{"description":"The number price of the product.","type":"string"},"sellerId":{"description":"The unique Id of the seller. Only required if onboarding marketplace sellers. Can be left blank for non marketplace products. One product required per product and sellerId combination. There are additional requirements to integrate seller_ids, please refer to [Marketplace sellerId](https://developers.citrusad.com/integration/reference/marketplace-sellerid) for more information.","type":"string"},"tags":{"default":[],"description":"Used to specify imageurl and name used in the platform. Required in the format \"imageurl:<value>\", \"name:<value>\"","items":{"type":"string"},"type":"array"},"teamId":{"description":"Omittable. Can be derived from API Key.","type":"string"}},"required":["catalogId","gtin"],"type":"object"},"type":"array"}},"type":"object"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"catalogProducts":{"items":{"properties":{"catalogId":{"type":"string"},"filters":{"items":{"type":"string"},"type":"array"},"groups":{"items":{"type":"string"},"type":"array"},"gtin":{"type":"string"},"inventory":{"type":"string"},"price":{"type":"string"},"profit":{"type":"string"},"tags":{"items":{"type":"string"},"type":"array"},"teamId":{"type":"string"}},"type":"object"},"type":"array"}},"type":"object"}}},"description":"200"},"400":{"content":{"application/json":{"schema":{"properties":{"additionalInfo":{"items":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"},"type":"array"},"message":{"type":"string"}},"type":"object"}}},"description":"400"},"401":{"content":{"text/plain":{}},"description":"401"},"403":{"content":{"text/plain":{}},"description":"403"},"404":{"content":{"text/plain":{}},"description":"404"},"429":{"content":{"text/plain":{}},"description":"429"},"500":{"content":{"text/plain":{}},"description":"500"},"502":{"content":{"text/plain":{}},"description":"502"},"503":{"content":{"text/plain":{}},"description":"503"},"504":{"content":{"text/plain":{}},"description":"504"}},"summary":"Create or update a product"}}}}
```
